composition.toggle
Hide or show a block instance (single blocks: at most one enabled at a time).
- Scope:
composition.write - System: no
- Reachable from:
POST /v1/commands/composition.toggle(tenant credential) · MCP toolcomposition.toggle· SDKclient.call('composition.toggle', …) - Events:
composition.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "enabled": { "type": "boolean" }, "placement_id": { "minLength": 1, "type": "string" }, "store": { "minLength": 1, "type": "string" } }, "required": [ "store", "placement_id", "enabled" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "placement_id": { "type": "string" } }, "required": [ "placement_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)